 body{
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #bbb;
 }

 a{
     color: #000;
 }

 .header{
     background-color: #fff;
     box-shadow: 1px 1px 1px 0 rgba(0, 0, 0, .1);
     position:fixed;
     width: 100%;
     height: 67px;
     z-index: 3;
     top: 0px;
 }

.header ul{
     margin:0;
     padding:0;
     list-style:none;
     overflow:hidden;
     background-color:#fff;
     }

     .header ul a{
         display:block;
         padding: 20px;
         border-right: 1px solid #aaa;
         text-decoration: none;
      }
      .header ul a:hover{
          background-color: #ddd;
      }

     <!-- .header .logo{
          float:left;
          display:block;
          font-size: 4vw;
          padding: 10px 20px;
          text-decoration: none;} -->
      
      .header .menu{
          clear:both;
          max-height:0;
          transition: max-height .2s ease-out;
      }

      .header .menu-icon{
          padding: 28px 28px;
          position: relative;
          float: right;
          cursor: pointer;
      }

      .header .menu-icon .nav-icon{
          background: #333;
          display:block;
          height: 2px;
          width: 18px;
          position: relative;
          transition: all .2s ease-out; 
      }

      .header .menu-icon .nav-icon:before{
        background: #333;
        content: "";
        display:block;
        height: 100%;
        width: 100%;
        position: absolute;
        transition: all .2s ease-out;
        top: 5px;
    }

      
      .header .menu-icon .nav-icon:after{
        background: #333;
        content: "";
        display:block;
        height: 100%;
        width: 100%;
        position: absolute;
        transition: all .2s ease-out;
        top: -5px;
    }

    .header .menu-btn{
        display:none;
    }

    .header .menu-btn:checked ~ .menu{
        max-height: 240px;
    }

    .header .menu-btn:checked ~ .menu-icon .nav-icon{
        background: transparent;
    }
       
    .header .menu-btn:checked ~ .menu-icon .nav-icon:before{
        transform: rotate(-45deg);
        top: 0;
    } 
    
    .header .menu-btn:checked ~ .menu-icon .nav-icon:after{
        transform: rotate(45deg);
        top: 0;
    } 
    
    .bigcontainer{
        margin-top: 100px;
    }

    @media (min-width: 420px){
        .header li{
            float:left;
        };
        .header li a{
            padding: 20px 40px;
        }
        .header .menu{
            clear: none;
            float: right;
            max-height: none;
        }
        .header .menu-icon{
            display:none;
        }
       .header .menu li:nth-child(2){
           display:none;
        }
       .header .menu li:nth-child(3){
           display:none;
        }
    }